libnl: Log

libnl 3.12.0

Log
Netfilter Library (libnl-nf)

## Functions
int | nfnlmsg_log_msg_parse (struct nlmsghdr *nlh, struct nfnl_log_msg **result)

## Log Commands
int | nfnl_log_build_pf_bind (uint8_t pf, struct nl_msg **result)
int | nfnl_log_pf_bind (struct nl_sock *nlh, uint8_t pf)
int | nfnl_log_build_pf_unbind (uint8_t pf, struct nl_msg **result)
int | nfnl_log_pf_unbind (struct nl_sock *nlh, uint8_t pf)
int | nfnl_log_build_create_request (const struct nfnl_log *log, struct nl_msg **result)
int | nfnl_log_create (struct nl_sock *nlh, const struct nfnl_log *log)
int | nfnl_log_build_change_request (const struct nfnl_log *log, struct nl_msg **result)
int | nfnl_log_change (struct nl_sock *nlh, const struct nfnl_log *log)
int | nfnl_log_build_delete_request (const struct nfnl_log *log, struct nl_msg **result)
int | nfnl_log_delete (struct nl_sock *nlh, const struct nfnl_log *log)

## Detailed Description

## Function Documentation

## ◆ nfnl_log_build_pf_bind()

int nfnl_log_build_pf_bind | ( | uint8_t | pf,
|  | struct nl_msg ** | result )

Definition at line 68 of file log.c.

## ◆ nfnl_log_pf_bind()

int nfnl_log_pf_bind | ( | struct nl_sock * | nlh,
|  | uint8_t | pf )

Definition at line 73 of file log.c.

## ◆ nfnl_log_build_pf_unbind()

int nfnl_log_build_pf_unbind | ( | uint8_t | pf,
|  | struct nl_msg ** | result )

Definition at line 84 of file log.c.

## ◆ nfnl_log_pf_unbind()

int nfnl_log_pf_unbind | ( | struct nl_sock * | nlh,
|  | uint8_t | pf )

Definition at line 89 of file log.c.

## ◆ nfnl_log_build_create_request()

int nfnl_log_build_create_request | ( | const struct nfnl_log * | log,
|  | struct nl_msg ** | result )

Definition at line 165 of file log.c.

## ◆ nfnl_log_create()

int nfnl_log_create | ( | struct nl_sock * | nlh,
|  | const struct nfnl_log * | log )

Definition at line 186 of file log.c.

## ◆ nfnl_log_build_change_request()

int nfnl_log_build_change_request | ( | const struct nfnl_log * | log,
|  | struct nl_msg ** | result )

Definition at line 197 of file log.c.

## ◆ nfnl_log_change()

int nfnl_log_change | ( | struct nl_sock * | nlh,
|  | const struct nfnl_log * | log )

Definition at line 203 of file log.c.

## ◆ nfnl_log_build_delete_request()

int nfnl_log_build_delete_request | ( | const struct nfnl_log * | log,
|  | struct nl_msg ** | result )

Definition at line 214 of file log.c.

## ◆ nfnl_log_delete()

int nfnl_log_delete | ( | struct nl_sock * | nlh,
|  | const struct nfnl_log * | log )

Definition at line 224 of file log.c.

## ◆ nfnlmsg_log_msg_parse()

int nfnlmsg_log_msg_parse | ( | struct nlmsghdr * | nlh,
|  | struct nfnl_log_msg ** | result )

Definition at line 85 of file log_msg.c.